#![allow(dead_code, mutable_transmutes, non_camel_case_types, non_snake_case, non_upper_case_globals, unused_assignments, unused_mut)]
extern "C" {
    fn printf(_: *const libc::c_char, _: ...) -> libc::c_int;
}
pub type __uint8_t = libc::c_uchar;
pub type __uint32_t = libc::c_uint;
pub type uint8_t = __uint8_t;
pub type uint32_t = __uint32_t;
#[no_mangle]
pub unsafe extern "C" fn foo(mut n: *mut uint32_t) -> uint8_t {
    let mut a: uint8_t = *n as uint8_t;
    return a;
}
#[no_mangle]
pub unsafe extern "C" fn bar() -> *mut libc::c_int {
    let mut a: *mut libc::c_int = 0 as *mut libc::c_int;
    return a;
}
unsafe fn main_0() -> libc::c_int {
    let mut n: uint32_t = 42 as libc::c_int as uint32_t;
    let mut a: uint8_t = foo(&mut n);
    printf(b"%hhu\n\0" as *const u8 as *const libc::c_char, a as libc::c_int);
    printf(b"%x\n\0" as *const u8 as *const libc::c_char, bar());
    return 0 as libc::c_int;
}
pub fn main() {
    unsafe { ::std::process::exit(main_0() as i32) }
}
